#!/bin/sh

STDDIR=`cd ../standard && pwd`
export MIBDIRS=$STDDIR
export MIBS=all
IBOSMIBS=ibos-registered-mibs.txt

for mibf in $STDDIR/*; do
    #echo $mibf
    mib=`sed -En 's/^\s*(\S+)\s+DEFINITIONS\s*::=\s*BEGIN.*/\1/p' $mibf`
    if [ -z "$mib" ]; then
	echo "No MIB defnition found in $mibf"
	continue;
    fi
    echo
    echo "***** $mibf -> $mib *****"
    sed -En 's/^\s*(\S+)\s+OBJECT\s+IDENTIFIER\s*::=.*/\1/p' $mibf | while read obj; do
	oid=`snmptranslate -On $mib:$obj`
	if [ -n "$oid" ]; then
	    if grep -q $oid $IBOSMIBS; then
		echo " $obj = $oid yes"
	    else
		echo " $obj = $oid no"
	    fi
	fi
    done
done
